gdata.docs.data | index /home/afshar/wrk/gdata-python-client/src/gdata/docs/data.py

`Data model classes for representing elements of the Documents List API.`

Modules

``

atom | gdata |  |

Classes

``

__builtin__.object
  CategoryFinder
    Resource(gdata.data.BatchEntry, CategoryFinder)
      Change
atom.core.XmlElement(__builtin__.object)
  AdditionalRoleInfo
  AdditionalRoleSet
  ArchiveComplete
  ArchiveConversion
  ArchiveFailure
  ArchiveNotify
  ArchiveNotifyStatus
  ArchiveResourceId
  ArchiveStatus
  ArchiveTotal
  ArchiveTotalComplete
  ArchiveTotalFailure
  Changestamp
  Deleted
  Description
  ExportFormat
  Feature
  FeatureName
  FeatureRate
  Filename
  ImportFormat
  MaxUploadSize
  Publish
  PublishAuto
  PublishOutsideDomain
  QuotaBytesTotal
  QuotaBytesUsed
  QuotaBytesUsedInTrash
  Removed
  ResourceId
  SuggestedFilename
  WritersCanInvite
atom.data.Person(atom.core.XmlElement)
  LastModifiedBy
  LastViewed
gdata.acl.data.AclEntry(gdata.data.GDEntry)
  AclEntry(gdata.acl.data.AclEntry, gdata.data.BatchEntry)
gdata.acl.data.AclFeed(gdata.data.GDFeed)
  AclFeed
gdata.data.BatchEntry(gdata.data.GDEntry)
  AclEntry(gdata.acl.data.AclEntry, gdata.data.BatchEntry)
  Resource(gdata.data.BatchEntry, CategoryFinder)
    Change
gdata.data.BatchFeed(gdata.data.GDFeed)
  ResourceFeed
gdata.data.GDEntry(atom.data.Entry, gdata.data.LinkFinder)
  Archive
  Metadata
  Revision
gdata.data.GDFeed(atom.data.Feed, gdata.data.LinkFinder)
  ChangeFeed
  RevisionFeed

class AclEntry(gdata.acl.data.AclEntry, gdata.data.BatchEntry)
`` | `Resource ACL entry.`

Method resolution order:
  AclEntry
  gdata.acl.data.AclEntry
  gdata.data.BatchEntry
  gdata.data.GDEntry
  atom.data.Entry
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Static methods defined here:

GetInstance = get_instance(role=None, scope_type=None, scope_value=None, key=False)

get_instance(role=None, scope_type=None, scope_value=None, key=False)

Data and other attributes inherited from gdata.acl.data.AclEntry:

additional_role = <class 'gdata.acl.data.AclAdditionalRole'>
  `Describes an additionalRole element.`

role = <class 'gdata.acl.data.AclRole'>
  `Describes the role of an entry in an access control list.`

scope = <class 'gdata.acl.data.AclScope'>
  `Describes the scope of an entry in an access control list.`

with_key = <class 'gdata.acl.data.AclWithKey'>
  `Describes a key that can be used to access a document.`

Data and other attributes inherited from gdata.data.BatchEntry:

batch_id = <class 'gdata.data.BatchId'>
  `Identifies a single operation in a batch request.`

batch_operation = <class 'gdata.data.BatchOperation'>
  `The CRUD operation which this batch entry represents.`

batch_status = <class 'gdata.data.BatchStatus'>
  `The batch:status element present in a batch response entry.
  A status element contains the code (HTTP response code) and
  reason as elements. In a single request these fields would
  be part of the HTTP response, but in a batch request each
  Entry operation has a corresponding Entry in the response
  feed which includes status information.
  See http://code.google.com/apis/gdata/batch.html#Handling_Errors`

Methods inherited from gdata.data.GDEntry:

FindMediaLink = find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

GetId = get_id(self)

IsMedia = is_media(self)

find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

get_id(self)

is_media(self)

Data and other attributes inherited from gdata.data.GDEntry:

etag = '{http://schemas.google.com/g/2005}etag'

Data and other attributes inherited from atom.data.Entry:

content = <class 'atom.data.Content'>
  `The atom:content element.`

control = <class 'atom.data.Control'>
  `The app:control element indicating restrictions on publication.
  The APP control element may contain a draft element indicating whether or
  not this entry should be publicly available.`

published = <class 'atom.data.Published'>
  `The atom:published element.`

source = <class 'atom.data.Source'>
  `The atom:source element.`

summary = <class 'atom.data.Summary'>
  `The atom:summary element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class AclFeed(gdata.acl.data.AclFeed)
`` | `Resource ACL feed.`

Method resolution order:
  AclFeed
  gdata.acl.data.AclFeed
  gdata.data.GDFeed
  atom.data.Feed
  atom.data.Source
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

entry = [<class 'gdata.docs.data.AclEntry'>]

Methods inherited from gdata.data.GDFeed:

GetId = get_id(self)

get_generator(self)

get_id(self)

Data and other attributes inherited from gdata.data.GDFeed:

etag = '{http://schemas.google.com/g/2005}etag'

items_per_page = <class 'gdata.data.ItemsPerPage'>
  `The opensearch:itemsPerPage element in GData feed.`

start_index = <class 'gdata.data.StartIndex'>
  `The opensearch:startIndex element in GData feed.`

total_results = <class 'gdata.data.TotalResults'>
  `opensearch:TotalResults for a GData feed.`

Data and other attributes inherited from atom.data.Source:

generator = <class 'atom.data.Generator'>
  `The atom:generator element.`

icon = <class 'atom.data.Icon'>
  `The atom:icon element.`

logo = <class 'atom.data.Logo'>
  `The atom:logo element.`

subtitle = <class 'atom.data.Subtitle'>
  `The atom:subtitle element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class AdditionalRoleInfo(atom.core.XmlElement)
`` | `The DocList docs:additionalRoleInfo element.`

Method resolution order:
  AdditionalRoleInfo
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

additional_role_set = [<class 'gdata.docs.data.AdditionalRoleSet'>]

kind = 'kind'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class AdditionalRoleSet(atom.core.XmlElement)
`` | `The DocList docs:additionalRoleSet element.`

Method resolution order:
  AdditionalRoleSet
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

additional_role = [<class 'gdata.acl.data.AclAdditionalRole'>]

primaryRole = 'primaryRole'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class Archive(gdata.data.GDEntry)
`` | `Archive entry.`

Method resolution order:
  Archive
  gdata.data.GDEntry
  atom.data.Entry
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Static methods defined here:

FromResourceList = from_resource_list(resources)

from_resource_list(resources)

Data and other attributes defined here:

archive_resource_ids = [<class 'gdata.docs.data.ArchiveResourceId'>]

conversions = [<class 'gdata.docs.data.ArchiveConversion'>]

date_completed = <class 'gdata.docs.data.ArchiveComplete'>
  `The DocList docs:archiveComplete element.`

failed_resource_ids = [<class 'gdata.docs.data.ArchiveFailure'>]

notification_email = <class 'gdata.docs.data.ArchiveNotify'>
  `The DocList docs:archiveNotify element.`

notify_status = <class 'gdata.docs.data.ArchiveNotifyStatus'>
  `The DocList docs:archiveNotifyStatus element.`

num_complete_resources = <class 'gdata.docs.data.ArchiveTotalComplete'>
  `The DocList docs:archiveTotalComplete element.`

num_failed_resources = <class 'gdata.docs.data.ArchiveTotalFailure'>
  `The DocList docs:archiveTotalFailure element.`

num_resources = <class 'gdata.docs.data.ArchiveTotal'>
  `The DocList docs:archiveTotal element.`

size = <class 'gdata.docs.data.QuotaBytesUsed'>
  `The DocList gd:quotaBytesUsed element.`

status = <class 'gdata.docs.data.ArchiveStatus'>
  `The DocList docs:archiveStatus element.`

Methods inherited from gdata.data.GDEntry:

FindMediaLink = find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

GetId = get_id(self)

IsMedia = is_media(self)

find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

get_id(self)

is_media(self)

Data and other attributes inherited from gdata.data.GDEntry:

etag = '{http://schemas.google.com/g/2005}etag'

Data and other attributes inherited from atom.data.Entry:

content = <class 'atom.data.Content'>
  `The atom:content element.`

control = <class 'atom.data.Control'>
  `The app:control element indicating restrictions on publication.
  The APP control element may contain a draft element indicating whether or
  not this entry should be publicly available.`

published = <class 'atom.data.Published'>
  `The atom:published element.`

source = <class 'atom.data.Source'>
  `The atom:source element.`

summary = <class 'atom.data.Summary'>
  `The atom:summary element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class ArchiveComplete(atom.core.XmlElement)
`` | `The DocList docs:archiveComplete element.`

Method resolution order:
  ArchiveComplete
  atom.core.XmlElement
  __builtin__.object

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class ArchiveConversion(atom.core.XmlElement)
`` | `The DocList docs:removed element.`

Method resolution order:
  ArchiveConversion
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

source = 'source'

target = 'target'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class ArchiveFailure(atom.core.XmlElement)
`` | `The DocList docs:archiveFailure element.`

Method resolution order:
  ArchiveFailure
  atom.core.XmlElement
  __builtin__.object

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class ArchiveNotify(atom.core.XmlElement)
`` | `The DocList docs:archiveNotify element.`

Method resolution order:
  ArchiveNotify
  atom.core.XmlElement
  __builtin__.object

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class ArchiveNotifyStatus(atom.core.XmlElement)
`` | `The DocList docs:archiveNotifyStatus element.`

Method resolution order:
  ArchiveNotifyStatus
  atom.core.XmlElement
  __builtin__.object

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class ArchiveResourceId(atom.core.XmlElement)
`` | `The DocList docs:removed element.`

Method resolution order:
  ArchiveResourceId
  atom.core.XmlElement
  __builtin__.object

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class ArchiveStatus(atom.core.XmlElement)
`` | `The DocList docs:archiveStatus element.`

Method resolution order:
  ArchiveStatus
  atom.core.XmlElement
  __builtin__.object

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class ArchiveTotal(atom.core.XmlElement)
`` | `The DocList docs:archiveTotal element.`

Method resolution order:
  ArchiveTotal
  atom.core.XmlElement
  __builtin__.object

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class ArchiveTotalComplete(atom.core.XmlElement)
`` | `The DocList docs:archiveTotalComplete element.`

Method resolution order:
  ArchiveTotalComplete
  atom.core.XmlElement
  __builtin__.object

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class ArchiveTotalFailure(atom.core.XmlElement)
`` | `The DocList docs:archiveTotalFailure element.`

Method resolution order:
  ArchiveTotalFailure
  atom.core.XmlElement
  __builtin__.object

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class CategoryFinder(__builtin__.object)
`` | `Mixin to provide category finding functionality. Analogous to atom.data.LinkFinder, but a simpler API, specialized for DocList categories.`

Methods defined here:

AddCategory = add_category(self, scheme, term, label)

AddLabel = add_label(self, label)

GetCategories = get_categories(self, scheme)

GetFirstCategory = get_first_category(self, scheme)

GetLabels = get_labels(self)

GetResourceType = get_resource_type(self)

HasLabel = has_label(self, label)

IsHidden = is_hidden(self)

IsMine = is_mine(self)

IsPrivate = is_private(self)

IsRestrictedDownload = is_restricted_download(self)

IsSharedWithDomain = is_shared_with_domain(self)

IsStarred = is_starred(self)

IsTrashed = is_trashed(self)

IsViewed = is_viewed(self)

RemoveCategories = remove_categories(self, scheme)

RemoveLabel = remove_label(self, label)

SetResourceType = set_resource_type(self, label)

add_category(self, scheme, term, label)
  `Add a category for a scheme, term and label.
  Args:
  scheme: The scheme for the category.
  term: The term for the category.
  label: The label for the category
  Returns:
  The newly created atom.data.Category.`

add_label(self, label)
  `Add a label, if it is not present.
  Args:
  label: The str label to set`

get_categories(self, scheme)
  `Fetch the category elements for a scheme.
  Args:
  scheme: The scheme to fetch the elements for.
  Returns:
  Generator of atom.data.Category elements.`

get_first_category(self, scheme)
  `Fetch the first category element for a scheme.
  Args:
  scheme: The scheme of category to return.
  Returns:
  atom.data.Category if found or None.`

get_labels(self)
  `Extracts the labels for this Resource.
  This method returns the labels as a set, for example: 'hidden', 'starred',
  'viewed'.
  Returns:
  Set of string labels.`

get_resource_type(self)
  `Extracts the type of document this Resource is.
  This method returns the type of document the Resource represents. Possible
  values are document, presentation, drawing, spreadsheet, file, folder,
  form, item, or pdf.
  'folder' is a possible return value of this method because, for legacy
  support, we have not yet renamed the folder keyword to collection in
  the API itself.
  Returns:
  String representing the type of document.`

has_label(self, label)
  `Whether this Resource has a label.
  Args:
  label: The str label to test for
  Returns:
  Boolean value indicating presence of label.`

is_hidden(self)
  `Whether this Resource is hidden.
  Returns:
  Boolean value indicating that the resource is hidden.`

is_mine(self)
  `Whether this resource is marked as mine.
  Returns:
  Boolean value indicating that the resource is marked as mine.`

is_private(self)
  `Whether this resource is private.
  Returns:
  Boolean value indicating that the resource is private.`

is_restricted_download(self)
  `Whether this resource is restricted download.
  Returns:
  Boolean value indicating whether the resource is restricted download.`

is_shared_with_domain(self)
  `Whether this resource is shared with the domain.
  Returns:
  Boolean value indicating that the resource is shared with the domain.`

is_starred(self)
  `Whether this Resource is starred.
  Returns:
  Boolean value indicating that the resource is starred.`

is_trashed(self)
  `Whether this resource is trashed.
  Returns:
  Boolean value indicating that the resource is trashed.`

is_viewed(self)
  `Whether this Resource is viewed.
  Returns:
  Boolean value indicating that the resource is viewed.`

remove_categories(self, scheme)
  `Remove category elements for a scheme.
  Args:
  scheme: The scheme of category to remove.`

remove_label(self, label)
  `Remove a label, if it is present.
  Args:
  label: The str label to remove`

set_resource_type(self, label)
  `Set the document type for an entry, by building the appropriate
  atom.data.Category
  Args:
  label: str The value for the category entry. If None is passed the
  category is removed and not set.
  Returns:
  An atom.data.Category or None if label is None.`

Data descriptors defined here:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Change(Resource)
`` | `Change feed entry.`

Method resolution order:
  Change
  Resource
  gdata.data.BatchEntry
  gdata.data.GDEntry
  atom.data.Entry
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  CategoryFinder
  __builtin__.object

Data and other attributes defined here:

changestamp = <class 'gdata.docs.data.Changestamp'>
  `The DocList docs:changestamp element.`

removed = <class 'gdata.docs.data.Removed'>
  `The DocList docs:removed element.`

Methods inherited from Resource:

GetAclFeedLink = get_acl_feed_link(self)
  `Extracts the Resource's ACL feed <gd:feedLink>.
  Returns:
  A gdata.data.FeedLink object.`

GetResumableCreateMediaLink = get_resumable_create_media_link(self)
  `Extracts the Resource's resumable create link.
  Returns:
  A gdata.data.FeedLink object.`

GetResumableEditMediaLink = get_resumable_edit_media_link(self)
  `Extracts the Resource's resumable update link.
  Returns:
  A gdata.data.FeedLink object.`

GetRevisionsFeedLink = get_revisions_feed_link(self)
  `Extracts the Resource's revisions feed <gd:feedLink>.
  Returns:
  A gdata.data.FeedLink object.`

InCollections = in_collections(self)
  `Returns the parents link(s) (collections) of this entry.`

__init__(self, type=None, title=None, **kwargs)

get_acl_feed_link(self)
  `Extracts the Resource's ACL feed <gd:feedLink>.
  Returns:
  A gdata.data.FeedLink object.`

get_resumable_create_media_link(self)
  `Extracts the Resource's resumable create link.
  Returns:
  A gdata.data.FeedLink object.`

get_resumable_edit_media_link(self)
  `Extracts the Resource's resumable update link.
  Returns:
  A gdata.data.FeedLink object.`

get_revisions_feed_link(self)
  `Extracts the Resource's revisions feed <gd:feedLink>.
  Returns:
  A gdata.data.FeedLink object.`

in_collections(self)
  `Returns the parents link(s) (collections) of this entry.`

Data and other attributes inherited from Resource:

acl_feed = <class 'gdata.docs.data.AclFeed'>
  `Resource ACL feed.`

deleted = <class 'gdata.docs.data.Deleted'>
  `The DocList gd:deleted element.`

description = <class 'gdata.docs.data.Description'>
  `The DocList docs:description element.`

feed_link = [<class 'gdata.data.FeedLink'>]

filename = <class 'gdata.docs.data.Filename'>
  `The DocList docs:filename element.`

last_modified_by = <class 'gdata.docs.data.LastModifiedBy'>
  `The DocList gd:lastModifiedBy element.`

last_viewed = <class 'gdata.docs.data.LastViewed'>
  `The DocList gd:lastViewed element.`

quota_bytes_used = <class 'gdata.docs.data.QuotaBytesUsed'>
  `The DocList gd:quotaBytesUsed element.`

resource_id = <class 'gdata.docs.data.ResourceId'>
  `The DocList gd:resourceId element.`

suggested_filename = <class 'gdata.docs.data.SuggestedFilename'>
  `The DocList docs:suggestedFilename element.`

writers_can_invite = <class 'gdata.docs.data.WritersCanInvite'>
  `The DocList docs:writersCanInvite element.`

Data and other attributes inherited from gdata.data.BatchEntry:

batch_id = <class 'gdata.data.BatchId'>
  `Identifies a single operation in a batch request.`

batch_operation = <class 'gdata.data.BatchOperation'>
  `The CRUD operation which this batch entry represents.`

batch_status = <class 'gdata.data.BatchStatus'>
  `The batch:status element present in a batch response entry.
  A status element contains the code (HTTP response code) and
  reason as elements. In a single request these fields would
  be part of the HTTP response, but in a batch request each
  Entry operation has a corresponding Entry in the response
  feed which includes status information.
  See http://code.google.com/apis/gdata/batch.html#Handling_Errors`

Methods inherited from gdata.data.GDEntry:

FindMediaLink = find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

GetId = get_id(self)

IsMedia = is_media(self)

find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

get_id(self)

is_media(self)

Data and other attributes inherited from gdata.data.GDEntry:

etag = '{http://schemas.google.com/g/2005}etag'

Data and other attributes inherited from atom.data.Entry:

content = <class 'atom.data.Content'>
  `The atom:content element.`

control = <class 'atom.data.Control'>
  `The app:control element indicating restrictions on publication.
  The APP control element may contain a draft element indicating whether or
  not this entry should be publicly available.`

published = <class 'atom.data.Published'>
  `The atom:published element.`

source = <class 'atom.data.Source'>
  `The atom:source element.`

summary = <class 'atom.data.Summary'>
  `The atom:summary element.`

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

Methods inherited from CategoryFinder:

AddCategory = add_category(self, scheme, term, label)
  `Add a category for a scheme, term and label.
  Args:
  scheme: The scheme for the category.
  term: The term for the category.
  label: The label for the category
  Returns:
  The newly created atom.data.Category.`

AddLabel = add_label(self, label)
  `Add a label, if it is not present.
  Args:
  label: The str label to set`

GetCategories = get_categories(self, scheme)
  `Fetch the category elements for a scheme.
  Args:
  scheme: The scheme to fetch the elements for.
  Returns:
  Generator of atom.data.Category elements.`

GetFirstCategory = get_first_category(self, scheme)
  `Fetch the first category element for a scheme.
  Args:
  scheme: The scheme of category to return.
  Returns:
  atom.data.Category if found or None.`

GetLabels = get_labels(self)
  `Extracts the labels for this Resource.
  This method returns the labels as a set, for example: 'hidden', 'starred',
  'viewed'.
  Returns:
  Set of string labels.`

GetResourceType = get_resource_type(self)
  `Extracts the type of document this Resource is.
  This method returns the type of document the Resource represents. Possible
  values are document, presentation, drawing, spreadsheet, file, folder,
  form, item, or pdf.
  'folder' is a possible return value of this method because, for legacy
  support, we have not yet renamed the folder keyword to collection in
  the API itself.
  Returns:
  String representing the type of document.`

HasLabel = has_label(self, label)
  `Whether this Resource has a label.
  Args:
  label: The str label to test for
  Returns:
  Boolean value indicating presence of label.`

IsHidden = is_hidden(self)
  `Whether this Resource is hidden.
  Returns:
  Boolean value indicating that the resource is hidden.`

IsMine = is_mine(self)
  `Whether this resource is marked as mine.
  Returns:
  Boolean value indicating that the resource is marked as mine.`

IsPrivate = is_private(self)
  `Whether this resource is private.
  Returns:
  Boolean value indicating that the resource is private.`

IsRestrictedDownload = is_restricted_download(self)
  `Whether this resource is restricted download.
  Returns:
  Boolean value indicating whether the resource is restricted download.`

IsSharedWithDomain = is_shared_with_domain(self)
  `Whether this resource is shared with the domain.
  Returns:
  Boolean value indicating that the resource is shared with the domain.`

IsStarred = is_starred(self)
  `Whether this Resource is starred.
  Returns:
  Boolean value indicating that the resource is starred.`

IsTrashed = is_trashed(self)
  `Whether this resource is trashed.
  Returns:
  Boolean value indicating that the resource is trashed.`

IsViewed = is_viewed(self)
  `Whether this Resource is viewed.
  Returns:
  Boolean value indicating that the resource is viewed.`

RemoveCategories = remove_categories(self, scheme)
  `Remove category elements for a scheme.
  Args:
  scheme: The scheme of category to remove.`

RemoveLabel = remove_label(self, label)
  `Remove a label, if it is present.
  Args:
  label: The str label to remove`

SetResourceType = set_resource_type(self, label)
  `Set the document type for an entry, by building the appropriate
  atom.data.Category
  Args:
  label: str The value for the category entry. If None is passed the
  category is removed and not set.
  Returns:
  An atom.data.Category or None if label is None.`

add_category(self, scheme, term, label)
  `Add a category for a scheme, term and label.
  Args:
  scheme: The scheme for the category.
  term: The term for the category.
  label: The label for the category
  Returns:
  The newly created atom.data.Category.`

add_label(self, label)
  `Add a label, if it is not present.
  Args:
  label: The str label to set`

get_categories(self, scheme)
  `Fetch the category elements for a scheme.
  Args:
  scheme: The scheme to fetch the elements for.
  Returns:
  Generator of atom.data.Category elements.`

get_first_category(self, scheme)
  `Fetch the first category element for a scheme.
  Args:
  scheme: The scheme of category to return.
  Returns:
  atom.data.Category if found or None.`

get_labels(self)
  `Extracts the labels for this Resource.
  This method returns the labels as a set, for example: 'hidden', 'starred',
  'viewed'.
  Returns:
  Set of string labels.`

get_resource_type(self)
  `Extracts the type of document this Resource is.
  This method returns the type of document the Resource represents. Possible
  values are document, presentation, drawing, spreadsheet, file, folder,
  form, item, or pdf.
  'folder' is a possible return value of this method because, for legacy
  support, we have not yet renamed the folder keyword to collection in
  the API itself.
  Returns:
  String representing the type of document.`

has_label(self, label)
  `Whether this Resource has a label.
  Args:
  label: The str label to test for
  Returns:
  Boolean value indicating presence of label.`

is_hidden(self)
  `Whether this Resource is hidden.
  Returns:
  Boolean value indicating that the resource is hidden.`

is_mine(self)
  `Whether this resource is marked as mine.
  Returns:
  Boolean value indicating that the resource is marked as mine.`

is_private(self)
  `Whether this resource is private.
  Returns:
  Boolean value indicating that the resource is private.`

is_restricted_download(self)
  `Whether this resource is restricted download.
  Returns:
  Boolean value indicating whether the resource is restricted download.`

is_shared_with_domain(self)
  `Whether this resource is shared with the domain.
  Returns:
  Boolean value indicating that the resource is shared with the domain.`

is_starred(self)
  `Whether this Resource is starred.
  Returns:
  Boolean value indicating that the resource is starred.`

is_trashed(self)
  `Whether this resource is trashed.
  Returns:
  Boolean value indicating that the resource is trashed.`

is_viewed(self)
  `Whether this Resource is viewed.
  Returns:
  Boolean value indicating that the resource is viewed.`

remove_categories(self, scheme)
  `Remove category elements for a scheme.
  Args:
  scheme: The scheme of category to remove.`

remove_label(self, label)
  `Remove a label, if it is present.
  Args:
  label: The str label to remove`

set_resource_type(self, label)
  `Set the document type for an entry, by building the appropriate
  atom.data.Category
  Args:
  label: str The value for the category entry. If None is passed the
  category is removed and not set.
  Returns:
  An atom.data.Category or None if label is None.`

class ChangeFeed(gdata.data.GDFeed)
`` | `DocList Changes feed.`

Method resolution order:
  ChangeFeed
  gdata.data.GDFeed
  atom.data.Feed
  atom.data.Source
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

entry = [<class 'gdata.docs.data.Change'>]

Methods inherited from gdata.data.GDFeed:

GetId = get_id(self)

get_generator(self)

get_id(self)

Data and other attributes inherited from gdata.data.GDFeed:

etag = '{http://schemas.google.com/g/2005}etag'

items_per_page = <class 'gdata.data.ItemsPerPage'>
  `The opensearch:itemsPerPage element in GData feed.`

start_index = <class 'gdata.data.StartIndex'>
  `The opensearch:startIndex element in GData feed.`

total_results = <class 'gdata.data.TotalResults'>
  `opensearch:TotalResults for a GData feed.`

Data and other attributes inherited from atom.data.Source:

generator = <class 'atom.data.Generator'>
  `The atom:generator element.`

icon = <class 'atom.data.Icon'>
  `The atom:icon element.`

logo = <class 'atom.data.Logo'>
  `The atom:logo element.`

subtitle = <class 'atom.data.Subtitle'>
  `The atom:subtitle element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class Changestamp(atom.core.XmlElement)
`` | `The DocList docs:changestamp element.`

Method resolution order:
  Changestamp
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class Deleted(atom.core.XmlElement)
`` | `The DocList gd:deleted element.`

Method resolution order:
  Deleted
  atom.core.XmlElement
  __builtin__.object

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class Description(atom.core.XmlElement)
`` | `The DocList docs:description element.`

Method resolution order:
  Description
  atom.core.XmlElement
  __builtin__.object

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class ExportFormat(atom.core.XmlElement)
`` | `The DocList docs:exportFormat element.`

Method resolution order:
  ExportFormat
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

source = 'source'

target = 'target'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class Feature(atom.core.XmlElement)
`` | `The DocList docs:feature element.`

Method resolution order:
  Feature
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

name = <class 'gdata.docs.data.FeatureName'>
  `The DocList docs:featureName element.`

rate = <class 'gdata.docs.data.FeatureRate'>
  `The DocList docs:featureRate element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class FeatureName(atom.core.XmlElement)
`` | `The DocList docs:featureName element.`

Method resolution order:
  FeatureName
  atom.core.XmlElement
  __builtin__.object

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class FeatureRate(atom.core.XmlElement)
`` | `The DocList docs:featureRate element.`

Method resolution order:
  FeatureRate
  atom.core.XmlElement
  __builtin__.object

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class Filename(atom.core.XmlElement)
`` | `The DocList docs:filename element.`

Method resolution order:
  Filename
  atom.core.XmlElement
  __builtin__.object

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class ImportFormat(atom.core.XmlElement)
`` | `The DocList docs:importFormat element.`

Method resolution order:
  ImportFormat
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

source = 'source'

target = 'target'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class LastModifiedBy(atom.data.Person)
`` | `The DocList gd:lastModifiedBy element.`

Method resolution order:
  LastModifiedBy
  atom.data.Person
  atom.core.XmlElement
  __builtin__.object

Data and other attributes inherited from atom.data.Person:

email = <class 'atom.data.Email'>
  `The atom:email element.`

name = <class 'atom.data.Name'>
  `The atom:name element.`

uri = <class 'atom.data.Uri'>
  `The atom:uri element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class LastViewed(atom.data.Person)
`` | `The DocList gd:lastViewed element.`

Method resolution order:
  LastViewed
  atom.data.Person
  atom.core.XmlElement
  __builtin__.object

Data and other attributes inherited from atom.data.Person:

email = <class 'atom.data.Email'>
  `The atom:email element.`

name = <class 'atom.data.Name'>
  `The atom:name element.`

uri = <class 'atom.data.Uri'>
  `The atom:uri element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class MaxUploadSize(atom.core.XmlElement)
`` | `The DocList docs:maxUploadSize element.`

Method resolution order:
  MaxUploadSize
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

kind = 'kind'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class Metadata(gdata.data.GDEntry)
`` | `Metadata entry for a user.`

Method resolution order:
  Metadata
  gdata.data.GDEntry
  atom.data.Entry
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

additional_role_info = [<class 'gdata.docs.data.AdditionalRoleInfo'>]

export_formats = [<class 'gdata.docs.data.ExportFormat'>]

features = [<class 'gdata.docs.data.Feature'>]

import_formats = [<class 'gdata.docs.data.ImportFormat'>]

max_upload_sizes = [<class 'gdata.docs.data.MaxUploadSize'>]

quota_bytes_total = <class 'gdata.docs.data.QuotaBytesTotal'>
  `The DocList gd:quotaBytesTotal element.`

quota_bytes_used = <class 'gdata.docs.data.QuotaBytesUsed'>
  `The DocList gd:quotaBytesUsed element.`

quota_bytes_used_in_trash = <class 'gdata.docs.data.QuotaBytesUsedInTrash'>
  `The DocList docs:quotaBytesUsedInTrash element.`

Methods inherited from gdata.data.GDEntry:

FindMediaLink = find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

GetId = get_id(self)

IsMedia = is_media(self)

find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

get_id(self)

is_media(self)

Data and other attributes inherited from gdata.data.GDEntry:

etag = '{http://schemas.google.com/g/2005}etag'

Data and other attributes inherited from atom.data.Entry:

content = <class 'atom.data.Content'>
  `The atom:content element.`

control = <class 'atom.data.Control'>
  `The app:control element indicating restrictions on publication.
  The APP control element may contain a draft element indicating whether or
  not this entry should be publicly available.`

published = <class 'atom.data.Published'>
  `The atom:published element.`

source = <class 'atom.data.Source'>
  `The atom:source element.`

summary = <class 'atom.data.Summary'>
  `The atom:summary element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class Publish(atom.core.XmlElement)
`` | `The DocList docs:publish element.`

Method resolution order:
  Publish
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class PublishAuto(atom.core.XmlElement)
`` | `The DocList docs:publishAuto element.`

Method resolution order:
  PublishAuto
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class PublishOutsideDomain(atom.core.XmlElement)
`` | `The DocList docs:publishOutsideDomain element.`

Method resolution order:
  PublishOutsideDomain
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class QuotaBytesTotal(atom.core.XmlElement)
`` | `The DocList gd:quotaBytesTotal element.`

Method resolution order:
  QuotaBytesTotal
  atom.core.XmlElement
  __builtin__.object

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class QuotaBytesUsed(atom.core.XmlElement)
`` | `The DocList gd:quotaBytesUsed element.`

Method resolution order:
  QuotaBytesUsed
  atom.core.XmlElement
  __builtin__.object

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class QuotaBytesUsedInTrash(atom.core.XmlElement)
`` | `The DocList docs:quotaBytesUsedInTrash element.`

Method resolution order:
  QuotaBytesUsedInTrash
  atom.core.XmlElement
  __builtin__.object

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class Removed(atom.core.XmlElement)
`` | `The DocList docs:removed element.`

Method resolution order:
  Removed
  atom.core.XmlElement
  __builtin__.object

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class Resource(gdata.data.BatchEntry, CategoryFinder)
`` | `DocList version of an Atom Entry.`

Method resolution order:
  Resource
  gdata.data.BatchEntry
  gdata.data.GDEntry
  atom.data.Entry
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  CategoryFinder
  __builtin__.object

Methods defined here:

GetAclFeedLink = get_acl_feed_link(self)

GetResumableCreateMediaLink = get_resumable_create_media_link(self)

GetResumableEditMediaLink = get_resumable_edit_media_link(self)

GetRevisionsFeedLink = get_revisions_feed_link(self)

InCollections = in_collections(self)

__init__(self, type=None, title=None, **kwargs)

get_acl_feed_link(self)
  `Extracts the Resource's ACL feed <gd:feedLink>.
  Returns:
  A gdata.data.FeedLink object.`

get_resumable_create_media_link(self)
  `Extracts the Resource's resumable create link.
  Returns:
  A gdata.data.FeedLink object.`

get_resumable_edit_media_link(self)
  `Extracts the Resource's resumable update link.
  Returns:
  A gdata.data.FeedLink object.`

get_revisions_feed_link(self)
  `Extracts the Resource's revisions feed <gd:feedLink>.
  Returns:
  A gdata.data.FeedLink object.`

in_collections(self)
  `Returns the parents link(s) (collections) of this entry.`

Data and other attributes defined here:

acl_feed = <class 'gdata.docs.data.AclFeed'>
  `Resource ACL feed.`

deleted = <class 'gdata.docs.data.Deleted'>
  `The DocList gd:deleted element.`

description = <class 'gdata.docs.data.Description'>
  `The DocList docs:description element.`

feed_link = [<class 'gdata.data.FeedLink'>]

filename = <class 'gdata.docs.data.Filename'>
  `The DocList docs:filename element.`

last_modified_by = <class 'gdata.docs.data.LastModifiedBy'>
  `The DocList gd:lastModifiedBy element.`

last_viewed = <class 'gdata.docs.data.LastViewed'>
  `The DocList gd:lastViewed element.`

quota_bytes_used = <class 'gdata.docs.data.QuotaBytesUsed'>
  `The DocList gd:quotaBytesUsed element.`

resource_id = <class 'gdata.docs.data.ResourceId'>
  `The DocList gd:resourceId element.`

suggested_filename = <class 'gdata.docs.data.SuggestedFilename'>
  `The DocList docs:suggestedFilename element.`

writers_can_invite = <class 'gdata.docs.data.WritersCanInvite'>
  `The DocList docs:writersCanInvite element.`

Data and other attributes inherited from gdata.data.BatchEntry:

batch_id = <class 'gdata.data.BatchId'>
  `Identifies a single operation in a batch request.`

batch_operation = <class 'gdata.data.BatchOperation'>
  `The CRUD operation which this batch entry represents.`

batch_status = <class 'gdata.data.BatchStatus'>
  `The batch:status element present in a batch response entry.
  A status element contains the code (HTTP response code) and
  reason as elements. In a single request these fields would
  be part of the HTTP response, but in a batch request each
  Entry operation has a corresponding Entry in the response
  feed which includes status information.
  See http://code.google.com/apis/gdata/batch.html#Handling_Errors`

Methods inherited from gdata.data.GDEntry:

FindMediaLink = find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

GetId = get_id(self)

IsMedia = is_media(self)

find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

get_id(self)

is_media(self)

Data and other attributes inherited from gdata.data.GDEntry:

etag = '{http://schemas.google.com/g/2005}etag'

Data and other attributes inherited from atom.data.Entry:

content = <class 'atom.data.Content'>
  `The atom:content element.`

control = <class 'atom.data.Control'>
  `The app:control element indicating restrictions on publication.
  The APP control element may contain a draft element indicating whether or
  not this entry should be publicly available.`

published = <class 'atom.data.Published'>
  `The atom:published element.`

source = <class 'atom.data.Source'>
  `The atom:source element.`

summary = <class 'atom.data.Summary'>
  `The atom:summary element.`

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

Methods inherited from CategoryFinder:

AddCategory = add_category(self, scheme, term, label)
  `Add a category for a scheme, term and label.
  Args:
  scheme: The scheme for the category.
  term: The term for the category.
  label: The label for the category
  Returns:
  The newly created atom.data.Category.`

AddLabel = add_label(self, label)
  `Add a label, if it is not present.
  Args:
  label: The str label to set`

GetCategories = get_categories(self, scheme)
  `Fetch the category elements for a scheme.
  Args:
  scheme: The scheme to fetch the elements for.
  Returns:
  Generator of atom.data.Category elements.`

GetFirstCategory = get_first_category(self, scheme)
  `Fetch the first category element for a scheme.
  Args:
  scheme: The scheme of category to return.
  Returns:
  atom.data.Category if found or None.`

GetLabels = get_labels(self)
  `Extracts the labels for this Resource.
  This method returns the labels as a set, for example: 'hidden', 'starred',
  'viewed'.
  Returns:
  Set of string labels.`

GetResourceType = get_resource_type(self)
  `Extracts the type of document this Resource is.
  This method returns the type of document the Resource represents. Possible
  values are document, presentation, drawing, spreadsheet, file, folder,
  form, item, or pdf.
  'folder' is a possible return value of this method because, for legacy
  support, we have not yet renamed the folder keyword to collection in
  the API itself.
  Returns:
  String representing the type of document.`

HasLabel = has_label(self, label)
  `Whether this Resource has a label.
  Args:
  label: The str label to test for
  Returns:
  Boolean value indicating presence of label.`

IsHidden = is_hidden(self)
  `Whether this Resource is hidden.
  Returns:
  Boolean value indicating that the resource is hidden.`

IsMine = is_mine(self)
  `Whether this resource is marked as mine.
  Returns:
  Boolean value indicating that the resource is marked as mine.`

IsPrivate = is_private(self)
  `Whether this resource is private.
  Returns:
  Boolean value indicating that the resource is private.`

IsRestrictedDownload = is_restricted_download(self)
  `Whether this resource is restricted download.
  Returns:
  Boolean value indicating whether the resource is restricted download.`

IsSharedWithDomain = is_shared_with_domain(self)
  `Whether this resource is shared with the domain.
  Returns:
  Boolean value indicating that the resource is shared with the domain.`

IsStarred = is_starred(self)
  `Whether this Resource is starred.
  Returns:
  Boolean value indicating that the resource is starred.`

IsTrashed = is_trashed(self)
  `Whether this resource is trashed.
  Returns:
  Boolean value indicating that the resource is trashed.`

IsViewed = is_viewed(self)
  `Whether this Resource is viewed.
  Returns:
  Boolean value indicating that the resource is viewed.`

RemoveCategories = remove_categories(self, scheme)
  `Remove category elements for a scheme.
  Args:
  scheme: The scheme of category to remove.`

RemoveLabel = remove_label(self, label)
  `Remove a label, if it is present.
  Args:
  label: The str label to remove`

SetResourceType = set_resource_type(self, label)
  `Set the document type for an entry, by building the appropriate
  atom.data.Category
  Args:
  label: str The value for the category entry. If None is passed the
  category is removed and not set.
  Returns:
  An atom.data.Category or None if label is None.`

add_category(self, scheme, term, label)
  `Add a category for a scheme, term and label.
  Args:
  scheme: The scheme for the category.
  term: The term for the category.
  label: The label for the category
  Returns:
  The newly created atom.data.Category.`

add_label(self, label)
  `Add a label, if it is not present.
  Args:
  label: The str label to set`

get_categories(self, scheme)
  `Fetch the category elements for a scheme.
  Args:
  scheme: The scheme to fetch the elements for.
  Returns:
  Generator of atom.data.Category elements.`

get_first_category(self, scheme)
  `Fetch the first category element for a scheme.
  Args:
  scheme: The scheme of category to return.
  Returns:
  atom.data.Category if found or None.`

get_labels(self)
  `Extracts the labels for this Resource.
  This method returns the labels as a set, for example: 'hidden', 'starred',
  'viewed'.
  Returns:
  Set of string labels.`

get_resource_type(self)
  `Extracts the type of document this Resource is.
  This method returns the type of document the Resource represents. Possible
  values are document, presentation, drawing, spreadsheet, file, folder,
  form, item, or pdf.
  'folder' is a possible return value of this method because, for legacy
  support, we have not yet renamed the folder keyword to collection in
  the API itself.
  Returns:
  String representing the type of document.`

has_label(self, label)
  `Whether this Resource has a label.
  Args:
  label: The str label to test for
  Returns:
  Boolean value indicating presence of label.`

is_hidden(self)
  `Whether this Resource is hidden.
  Returns:
  Boolean value indicating that the resource is hidden.`

is_mine(self)
  `Whether this resource is marked as mine.
  Returns:
  Boolean value indicating that the resource is marked as mine.`

is_private(self)
  `Whether this resource is private.
  Returns:
  Boolean value indicating that the resource is private.`

is_restricted_download(self)
  `Whether this resource is restricted download.
  Returns:
  Boolean value indicating whether the resource is restricted download.`

is_shared_with_domain(self)
  `Whether this resource is shared with the domain.
  Returns:
  Boolean value indicating that the resource is shared with the domain.`

is_starred(self)
  `Whether this Resource is starred.
  Returns:
  Boolean value indicating that the resource is starred.`

is_trashed(self)
  `Whether this resource is trashed.
  Returns:
  Boolean value indicating that the resource is trashed.`

is_viewed(self)
  `Whether this Resource is viewed.
  Returns:
  Boolean value indicating that the resource is viewed.`

remove_categories(self, scheme)
  `Remove category elements for a scheme.
  Args:
  scheme: The scheme of category to remove.`

remove_label(self, label)
  `Remove a label, if it is present.
  Args:
  label: The str label to remove`

set_resource_type(self, label)
  `Set the document type for an entry, by building the appropriate
  atom.data.Category
  Args:
  label: str The value for the category entry. If None is passed the
  category is removed and not set.
  Returns:
  An atom.data.Category or None if label is None.`

class ResourceFeed(gdata.data.BatchFeed)
`` | `Main feed containing a list of resources.`

Method resolution order:
  ResourceFeed
  gdata.data.BatchFeed
  gdata.data.GDFeed
  atom.data.Feed
  atom.data.Source
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

entry = [<class 'gdata.docs.data.Resource'>]

Methods inherited from gdata.data.BatchFeed:

AddBatchEntry = add_batch_entry(self, entry=None, id_url_string=None, batch_id_string=None, operation_string=None)
  `Logic for populating members of a BatchEntry and adding to the feed.
  If the entry is not a BatchEntry, it is converted to a BatchEntry so
  that the batch specific members will be present.
  The id_url_string can be used in place of an entry if the batch operation
  applies to a URL. For example query and delete operations require just
  the URL of an entry, no body is sent in the HTTP request. If an
  id_url_string is sent instead of an entry, a BatchEntry is created and
  added to the feed.
  This method also assigns the desired batch id to the entry so that it
  can be referenced in the server's response. If the batch_id_string is
  None, this method will assign a batch_id to be the index at which this
  entry will be in the feed's entry list.
  Args:
  entry: BatchEntry, atom.data.Entry, or another Entry flavor (optional)
  The entry which will be sent to the server as part of the batch
  request. The item must have a valid atom id so that the server
  knows which entry this request references.
  id_url_string: str (optional) The URL of the entry to be acted on. You
  can find this URL in the text member of the atom id for an entry.
  If an entry is not sent, this id will be used to construct a new
  BatchEntry which will be added to the request feed.
  batch_id_string: str (optional) The batch ID to be used to reference
  this batch operation in the results feed. If this parameter is None,
  the current length of the feed's entry array will be used as a
  count. Note that batch_ids should either always be specified or
  never, mixing could potentially result in duplicate batch ids.
  operation_string: str (optional) The desired batch operation which will
  set the batch_operation.type member of the entry. Options are
  'insert', 'update', 'delete', and 'query'
  Raises:
  MissingRequiredParameters: Raised if neither an id_ url_string nor an
  entry are provided in the request.
  Returns:
  The added entry.`

AddDelete = add_delete(self, url_string=None, entry=None, batch_id_string=None)
  `Adds a delete request to the batch request feed.
  This method takes either the url_string which is the atom id of the item
  to be deleted, or the entry itself. The atom id of the entry must be
  present so that the server knows which entry should be deleted.
  Args:
  url_string: str (optional) The URL of the entry to be deleted. You can
  find this URL in the text member of the atom id for an entry.
  entry: BatchEntry (optional) The entry to be deleted.
  batch_id_string: str (optional)
  Raises:
  MissingRequiredParameters: Raised if neither a url_string nor an entry
  are provided in the request.`

AddInsert = add_insert(self, entry, batch_id_string=None)
  `Add an insert request to the operations in this batch request feed.
  If the entry doesn't yet have an operation or a batch id, these will
  be set to the insert operation and a batch_id specified as a parameter.
  Args:
  entry: BatchEntry The entry which will be sent in the batch feed as an
  insert request.
  batch_id_string: str (optional) The batch ID to be used to reference
  this batch operation in the results feed. If this parameter is None,
  the current length of the feed's entry array will be used as a
  count. Note that batch_ids should either always be specified or
  never, mixing could potentially result in duplicate batch ids.`

AddQuery = add_query(self, url_string=None, entry=None, batch_id_string=None)
  `Adds a query request to the batch request feed.
  This method takes either the url_string which is the query URL
  whose results will be added to the result feed. The query URL will
  be encapsulated in a BatchEntry, and you may pass in the BatchEntry
  with a query URL instead of sending a url_string.
  Args:
  url_string: str (optional)
  entry: BatchEntry (optional)
  batch_id_string: str (optional)
  Raises:
  MissingRequiredParameters`

AddUpdate = add_update(self, entry, batch_id_string=None)
  `Add an update request to the list of batch operations in this feed.
  Sets the operation type of the entry to insert if it is not already set
  and assigns the desired batch id to the entry so that it can be
  referenced in the server's response.
  Args:
  entry: BatchEntry The entry which will be sent to the server as an
  update (HTTP PUT) request. The item must have a valid atom id
  so that the server knows which entry to replace.
  batch_id_string: str (optional) The batch ID to be used to reference
  this batch operation in the results feed. If this parameter is None,
  the current length of the feed's entry array will be used as a
  count. See also comments for AddInsert.`

FindBatchLink = find_batch_link(self)

add_batch_entry(self, entry=None, id_url_string=None, batch_id_string=None, operation_string=None)
  `Logic for populating members of a BatchEntry and adding to the feed.
  If the entry is not a BatchEntry, it is converted to a BatchEntry so
  that the batch specific members will be present.
  The id_url_string can be used in place of an entry if the batch operation
  applies to a URL. For example query and delete operations require just
  the URL of an entry, no body is sent in the HTTP request. If an
  id_url_string is sent instead of an entry, a BatchEntry is created and
  added to the feed.
  This method also assigns the desired batch id to the entry so that it
  can be referenced in the server's response. If the batch_id_string is
  None, this method will assign a batch_id to be the index at which this
  entry will be in the feed's entry list.
  Args:
  entry: BatchEntry, atom.data.Entry, or another Entry flavor (optional)
  The entry which will be sent to the server as part of the batch
  request. The item must have a valid atom id so that the server
  knows which entry this request references.
  id_url_string: str (optional) The URL of the entry to be acted on. You
  can find this URL in the text member of the atom id for an entry.
  If an entry is not sent, this id will be used to construct a new
  BatchEntry which will be added to the request feed.
  batch_id_string: str (optional) The batch ID to be used to reference
  this batch operation in the results feed. If this parameter is None,
  the current length of the feed's entry array will be used as a
  count. Note that batch_ids should either always be specified or
  never, mixing could potentially result in duplicate batch ids.
  operation_string: str (optional) The desired batch operation which will
  set the batch_operation.type member of the entry. Options are
  'insert', 'update', 'delete', and 'query'
  Raises:
  MissingRequiredParameters: Raised if neither an id_ url_string nor an
  entry are provided in the request.
  Returns:
  The added entry.`

add_delete(self, url_string=None, entry=None, batch_id_string=None)
  `Adds a delete request to the batch request feed.
  This method takes either the url_string which is the atom id of the item
  to be deleted, or the entry itself. The atom id of the entry must be
  present so that the server knows which entry should be deleted.
  Args:
  url_string: str (optional) The URL of the entry to be deleted. You can
  find this URL in the text member of the atom id for an entry.
  entry: BatchEntry (optional) The entry to be deleted.
  batch_id_string: str (optional)
  Raises:
  MissingRequiredParameters: Raised if neither a url_string nor an entry
  are provided in the request.`

add_insert(self, entry, batch_id_string=None)
  `Add an insert request to the operations in this batch request feed.
  If the entry doesn't yet have an operation or a batch id, these will
  be set to the insert operation and a batch_id specified as a parameter.
  Args:
  entry: BatchEntry The entry which will be sent in the batch feed as an
  insert request.
  batch_id_string: str (optional) The batch ID to be used to reference
  this batch operation in the results feed. If this parameter is None,
  the current length of the feed's entry array will be used as a
  count. Note that batch_ids should either always be specified or
  never, mixing could potentially result in duplicate batch ids.`

add_query(self, url_string=None, entry=None, batch_id_string=None)
  `Adds a query request to the batch request feed.
  This method takes either the url_string which is the query URL
  whose results will be added to the result feed. The query URL will
  be encapsulated in a BatchEntry, and you may pass in the BatchEntry
  with a query URL instead of sending a url_string.
  Args:
  url_string: str (optional)
  entry: BatchEntry (optional)
  batch_id_string: str (optional)
  Raises:
  MissingRequiredParameters`

add_update(self, entry, batch_id_string=None)
  `Add an update request to the list of batch operations in this feed.
  Sets the operation type of the entry to insert if it is not already set
  and assigns the desired batch id to the entry so that it can be
  referenced in the server's response.
  Args:
  entry: BatchEntry The entry which will be sent to the server as an
  update (HTTP PUT) request. The item must have a valid atom id
  so that the server knows which entry to replace.
  batch_id_string: str (optional) The batch ID to be used to reference
  this batch operation in the results feed. If this parameter is None,
  the current length of the feed's entry array will be used as a
  count. See also comments for AddInsert.`

find_batch_link(self)

Data and other attributes inherited from gdata.data.BatchFeed:

interrupted = <class 'gdata.data.BatchInterrupted'>
  `The batch:interrupted element sent if batch request was interrupted.
  Only appears in a feed if some of the batch entries could not be processed.
  See: http://code.google.com/apis/gdata/batch.html#Handling_Errors`

Methods inherited from gdata.data.GDFeed:

GetId = get_id(self)

get_generator(self)

get_id(self)

Data and other attributes inherited from gdata.data.GDFeed:

etag = '{http://schemas.google.com/g/2005}etag'

items_per_page = <class 'gdata.data.ItemsPerPage'>
  `The opensearch:itemsPerPage element in GData feed.`

start_index = <class 'gdata.data.StartIndex'>
  `The opensearch:startIndex element in GData feed.`

total_results = <class 'gdata.data.TotalResults'>
  `opensearch:TotalResults for a GData feed.`

Data and other attributes inherited from atom.data.Source:

generator = <class 'atom.data.Generator'>
  `The atom:generator element.`

icon = <class 'atom.data.Icon'>
  `The atom:icon element.`

logo = <class 'atom.data.Logo'>
  `The atom:logo element.`

subtitle = <class 'atom.data.Subtitle'>
  `The atom:subtitle element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class ResourceId(atom.core.XmlElement)
`` | `The DocList gd:resourceId element.`

Method resolution order:
  ResourceId
  atom.core.XmlElement
  __builtin__.object

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class Revision(gdata.data.GDEntry)
`` | `Resource Revision entry.`

Method resolution order:
  Revision
  gdata.data.GDEntry
  atom.data.Entry
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Methods defined here:

FindPublishLink = find_publish_link(self)

GetPublishLink = get_publish_link(self)

find_publish_link(self)
  `Get the link that points to the published resource on the web.
  Returns:
  A str for the URL in the link with a rel ending in #publish.`

get_publish_link(self)
  `Get the link that points to the published resource on the web.
  Returns:
  A gdata.data.Link for the link with a rel ending in #publish.`

Data and other attributes defined here:

publish = <class 'gdata.docs.data.Publish'>
  `The DocList docs:publish element.`

publish_auto = <class 'gdata.docs.data.PublishAuto'>
  `The DocList docs:publishAuto element.`

publish_outside_domain = <class 'gdata.docs.data.PublishOutsideDomain'>
  `The DocList docs:publishOutsideDomain element.`

Methods inherited from gdata.data.GDEntry:

FindMediaLink = find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

GetId = get_id(self)

IsMedia = is_media(self)

find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

get_id(self)

is_media(self)

Data and other attributes inherited from gdata.data.GDEntry:

etag = '{http://schemas.google.com/g/2005}etag'

Data and other attributes inherited from atom.data.Entry:

content = <class 'atom.data.Content'>
  `The atom:content element.`

control = <class 'atom.data.Control'>
  `The app:control element indicating restrictions on publication.
  The APP control element may contain a draft element indicating whether or
  not this entry should be publicly available.`

published = <class 'atom.data.Published'>
  `The atom:published element.`

source = <class 'atom.data.Source'>
  `The atom:source element.`

summary = <class 'atom.data.Summary'>
  `The atom:summary element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class RevisionFeed(gdata.data.GDFeed)
`` | `A DocList Revision feed.`

Method resolution order:
  RevisionFeed
  gdata.data.GDFeed
  atom.data.Feed
  atom.data.Source
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

entry = [<class 'gdata.docs.data.Revision'>]

Methods inherited from gdata.data.GDFeed:

GetId = get_id(self)

get_generator(self)

get_id(self)

Data and other attributes inherited from gdata.data.GDFeed:

etag = '{http://schemas.google.com/g/2005}etag'

items_per_page = <class 'gdata.data.ItemsPerPage'>
  `The opensearch:itemsPerPage element in GData feed.`

start_index = <class 'gdata.data.StartIndex'>
  `The opensearch:startIndex element in GData feed.`

total_results = <class 'gdata.data.TotalResults'>
  `opensearch:TotalResults for a GData feed.`

Data and other attributes inherited from atom.data.Source:

generator = <class 'atom.data.Generator'>
  `The atom:generator element.`

icon = <class 'atom.data.Icon'>
  `The atom:icon element.`

logo = <class 'atom.data.Logo'>
  `The atom:logo element.`

subtitle = <class 'atom.data.Subtitle'>
  `The atom:subtitle element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class SuggestedFilename(atom.core.XmlElement)
`` | `The DocList docs:suggestedFilename element.`

Method resolution order:
  SuggestedFilename
  atom.core.XmlElement
  __builtin__.object

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class WritersCanInvite(atom.core.XmlElement)
`` | `The DocList docs:writersCanInvite element.`

Method resolution order:
  WritersCanInvite
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

value = 'value'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Data

``

ACL_FEEDLINK_REL = 'http://schemas.google.com/acl/2007#accessControlList'
COLLECTION_LABEL = 'folder'
DATA_KIND_SCHEME = 'http://schemas.google.com/g/2005#kind'
DOCUMENTS_NS = 'http://schemas.google.com/docs/2007'
DOCUMENTS_TEMPLATE = '{http://schemas.google.com/docs/2007}%s'
DOCUMENT_LABEL = 'document'
DRAWING_LABEL = 'drawing'
FILE_LABEL = 'file'
FORM_LABEL = 'form'
HIDDEN_LABEL = 'hidden'
ITEM_LABEL = 'item'
LABELS_NS = 'http://schemas.google.com/g/2005/labels'
LABELS_SCHEME = 'http://schemas.google.com/g/2005/labels'
MINE_LABEL = 'mine'
PARENT_LINK_REL = 'http://schemas.google.com/docs/2007#parent'
PDF_LABEL = 'pdf'
PRESENTATION_LABEL = 'presentation'
PRIVATE_LABEL = 'private'
PUBLISH_LINK_REL = 'http://schemas.google.com/docs/2007#publish'
RESTRICTEDDOWNLOAD_LABEL = 'restricted-download'
RESUMABLE_CREATE_MEDIA_LINK_REL = 'http://schemas.google.com/g/2005#resumable-create-media'
RESUMABLE_EDIT_MEDIA_LINK_REL = 'http://schemas.google.com/g/2005#resumable-edit-media'
REVISION_FEEDLINK_REL = 'http://schemas.google.com/docs/2007/revisions'
SHAREDWITHDOMAIN_LABEL = 'shared-with-domain'
SPREADSHEET_LABEL = 'spreadsheet'
STARRED_LABEL = 'starred'
TRASHED_LABEL = 'trashed'
VIEWED_LABEL = 'viewed'
__author__ = 'vicfryzel@google.com (Vic Fryzel)'

Author
`` |  | vicfryzel@google.com (Vic Fryzel)